      subroutine hec_cal_read
c
c read calibration file
c
      implicit none
c
c user datacard common
c
      include'./inc/hec_datacard.inc'
c
c adc channel info common
c
      include'./inc/hec_pad.inc'
c
      integer i
      integer ic
      real cal(4)
      integer iflg
c
      call vzero(adc_cal, 5*i_adc_used)
 1    read (luncal, *, err=2, end=3) ic, (cal(i), i=1, 4), iflg
      if (ic .le. i_adc_used) then
        do i = 1, 4
          adc_cal(ic, i) = cal(i)
        enddo
        adc_cal(ic, 5) = real(iflg)
      endif
      goto 1
 2    continue
      print *, ' *** error reading calibration file'
      call user_ter
      stop
 3    continue
      print *, ' *** calibration file read ***'
      print *, ' '
      do ic = 1, i_adc_used
        write(*, '(5x, i5, 4(5x, e15.5), 5x, i5)') 
     +  ic, (adc_cal(ic, i), i = 1, 4), nint(adc_cal(ic, 5))
      enddo
c
      end
