hec_adc: user_ana1.o \
         user_ana2.o \
         user_evt1.o \
         user_evt2.o \
         user_ini.o \
         user_ter.o \
         hec_adc.a
	fort77 +ppu -V -O -o hec_adc \
         user_ana1.o \
         user_ana2.o \
         user_evt1.o \
         user_evt2.o \
         user_ini.o \
         user_ter.o \
         hec_adc.a \
        `cernlib geant321 pawlib graflib grafX11 packlib genlib kernlib'

user_ana1.o: user_ana1.f 
	fort77 -c +ppu -V -O user_ana1.f

user_ana2.o: user_ana2.f 
	fort77 -c +ppu -V -O user_ana2.f

user_evt1.o: user_evt1.f \
             ./inc/hec_evth.inc \
             ./inc/hec_pad.inc
	fort77 -c +ppu -V -O user_evt1.f

user_evt2.o: user_evt2.f 
	fort77 -c +ppu -V -O user_evt2.f

user_ini.o: user_ini.f
	fort77 -c +ppu -V -O user_ini.f

user_ter.o: user_ter.f
	fort77 -c +ppu -V -O user_ter.f



